%define name	cdrecord-ossdvd
%define ver	2.0
%define rel	130
%define grp	Productivity/Multimedia/CD/Record
%define susever	8.2

#
# spec file for package cdrecord (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# Modifications by Volker Kuhlmann.


# neededforbuild  resmgr
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl resmgr rpm

Summary:	Tool for writing CDRs, with extensions for DVDs
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Group:		%{grp}
Patch7:		ftp://ftp.crashrecovery.org/pub/linux/cdrtools/cdrtools-2.0-dvd.patch.gz
Source7:	ftp://ftp.crashrecovery.org/pub/linux/cdrtools/Changelog.html
Source8:	ftp://ftp.crashrecovery.org/pub/linux/cdrtools/DISCLAIMER.html
Source9:	http://crashrecovery.org/oss-dvd.html
URL:		http://crashrecovery.org/oss-dvd.html
Vendor:		Robert M. Stockmann <stock@stokkie.net>
Packager:	Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Distribution:	SuSE Linux %{susever} contrib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(id -u -n)
Autoreqprov:	on
License:      GPL, Other License(s), see package
Source:       cdrtools-%{version}.tar.bz2
Source1:      scan_scsi.linux
Source2:      cdinfo.c
Patch1:       cdrtools-%{version}-makefile.patch
Patch2:       cdrtools-%{version}-silo.patch
Patch5:       cdrtools-%{version}-fmtbug.patch
Patch6:       cdrtools-%{version}-resmgr.patch


%description
Cdrecord allows you to create CDs on a CD-writer.

This version of cdrecord, installed as cdrecord-ossdvd, contains extensions
which allow to burn DVD-R(W). See the files oss-dvd.html, DISCLAIMER.html, and
http://crashrecovery.org/oss-dvd.html for details before using this software.
The original version of cdrecord can be found at
http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html

Authors:
--------
    Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
    Robert M. Stockmann <stock@stokkie.net>


%prep
%setup -q -n cdrtools-%{version}
%patch1
%patch2
%patch5 -p1
#
mv conf/xconfig.h.in conf/xconfig.h.in.orig
sed -e 's|\(#.*\)\(/\*.*\*/\)|\2\
\1|g' conf/xconfig.h.in.orig >conf/xconfig.h.in
#
%patch6 -p1
#
%patch7 -p1 -b .orig
# Additional oss-dvd files
cp -p %{S:7} %{S:8} %{S:9} .
#
ln -s i586-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -s i586-linux-cc.rul RULES/ppc64-linux-cc.rul
ln -s i586-linux-cc.rul RULES/s390x-linux-cc.rul
#ln -s ppc-linux-cc.rul RULES/s390-linux-cc.rul
%{?suse_update_config:%{suse_update_config -f conf}}
cd conf
autoconf

%build
make all MAKEPROG=gmake MANDIR=share/man CFLAGS="$RPM_OPT_FLAGS" \
	 CONFFLAGS="--enable-resmgr"
gcc $RPM_OPT_FLAGS %{S:2} -o cdinfo 
cd mkisofs
make apple_driver

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"
make install MAKEPROG=gmake INS_BASE=$RPM_BUILD_ROOT/usr/ MANDIR=share/man
#mkdir patch
#mv Linux.scsi-patch patch
install -d $RPM_BUILD_ROOT/usr/bin
install cdda2wav/readmult \
        cdda2wav/cdda2mp3 \
	cdda2wav/cdda2mp3.new \
	cdda2wav/inf2cdtext.pl \
	%{S:1} \
	mkisofs/apple_driver \
	cdinfo \
        $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/usr/bin/cdrecord $RPM_BUILD_ROOT/usr/bin/cdrecord-ossdvd
ln -sf cdda2wav $RPM_BUILD_ROOT/usr/bin/list_audio_tracks
mv mkisofs/diag/README mkisofs/diag/README.diag
ln -sf isoinfo.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/devdump.8.gz
ln -sf isoinfo.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/isovfy.8.gz
ln -sf isoinfo.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/isodump.8.gz
#cleanup, is not packed anyway
rm -fv $RPM_BUILD_ROOT/usr/lib/lib*.a


%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-, root, root)
%doc oss-dvd.html DISCLAIMER.html Changelog.html
#%attr(4555,root,root) /usr/bin/cdrecord-ossdvd
%attr(0555,root,root) /usr/bin/cdrecord-ossdvd


%changelog
* Sun Jun 15 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- for SuSE 8.2; identical to SuSE's version except for the added dvd patch
* Mon Jan 13 2003 - nadvornik@suse.cz
- updated to 2.0 final
* Wed Dec 18 2002 - froh@suse.de
- re-enable cdda2wav on s390 (#22498)
* Tue Nov 05 2002 - okir@suse.de
- Proactive security patch: added resmgr support - cdrecord now
  performs a minimum of initialization as root, then drops privileges
  and uses resmgr to access device files.
* Thu Sep 26 2002 - nadvornik@suse.cz
- removed zisofs-tools, it is a separate package,
- mkisofs requires zisofs-tools
* Tue Sep 24 2002 - nadvornik@suse.cz
- updated to 1.11a34
- a bug with cdrecord -fix has been fixed [#19853]
- improved man page
- other fixes and improvements
- added zisofs-tools for transparent compression
* Tue Sep 03 2002 - nadvornik@suse.cz
- added patch for format string security problem [#18756]
* Wed Jul 31 2002 - nadvornik@suse.cz
- updated to 1.11a28
- cdrecord now writes MCN/ISRC even in RAW mode
* Fri Jul 26 2002 - nadvornik@suse.cz
- updated to 1.11a27:
- DVD-Video support
* Wed Jul 10 2002 - meissner@suse.de
- add RULES link for ppc64, s390x.
* Tue May 14 2002 - ro@suse.de
- add RULES link for x86_64
* Tue Apr 30 2002 - uli@suse.de
- update -> 1.11a21 (fixes probs with xcdroast >=0.98alpha9)
* Fri Mar 01 2002 - nadvornik@suse.cz
- fixed man pages for isodump, devdump, isovfy [bug #14012]
* Tue Feb 26 2002 - nadvornik@suse.cz
- fixed "#!/bin/sh" line in cdda2mp3.new
* Mon Jan 21 2002 - nadvornik@suse.cz
- updated to 1.11a13:
- new script inf2cdtext.pl for creating CD-text data
* Fri Dec 07 2001 - nadvornik@suse.cz
- updated to 1.11a12:
- readcd: changed handling of Table of contents
- mkisofs: first UDF support
* Tue Oct 30 2001 - uli@suse.de
- added patch from zisofs-tools allowing for creation of compressed
  ISO filesystems
* Mon Sep 03 2001 - nadvornik@suse.cz
- changed version string 1.11a06 -> 1.11.a06
* Tue Aug 14 2001 - nadvornik@suse.cz
- update to 1.11a06
* Thu Jul 12 2001 - nadvornik@suse.cz
- update to 1.11a05
- can be built with all kernels
* Mon Jun 18 2001 - schwab@suse.de
- Fix to compile.
* Thu Apr 26 2001 - ro@suse.de
- added config-dist.sh
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Fri Jan 19 2001 - kukuk@suse.de
- fix missing exit
* Fri Jan 19 2001 - kukuk@suse.de
- cdrecord should only be build on kernel 2.2
* Mon Dec 11 2000 - ro@suse.de
- fixed group typos
* Tue Oct 17 2000 - bk@suse.de
- Use ppc-linux rules for s390.
* Mon Oct 09 2000 - smid@suse.cz
- New version 1.9
* Tue Sep 19 2000 - schwab@suse.de
- Use i586-linux rules for ia64.
- Add %%suse_update_config.
* Fri Jul 21 2000 - smid@suse.cz
- Merge patches for booting SPARCs/silo with version 1.8.1
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Wed May 31 2000 - cihlar@suse.cz
- update to version 1.8.1
* Fri Apr 07 2000 - smid@suse.cz
- buildroot added
* Fri Mar 24 2000 - kukuk@suse.de
- Merge patches for booting SPARCs/silo
* Sun Feb 20 2000 - bk@suse.de
- added link /usr/bin/list_audio_tracks -> cdda2wav (needed for cdda2mp3)
* Sun Feb 06 2000 - olh@suse.de
- update cdrecord to 1.8
  update mkhybrid to 1.12b5.4
  make apple_driver for bootable Mac CD's
* Thu Jan 13 2000 - ro@suse.de
- update to a40-3
* Mon Dec 20 1999 - ro@suse.de
- update to a35
* Mon Oct 18 1999 - ro@suse.de
- update to a30
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- now building mkhybrid with -fsigned-char (PPC)
* Mon Aug 09 1999 - ro@suse.de
- update to 1.8a24
* Mon Jul 12 1999 - ro@suse.de
- update to a23
* Tue Jun 01 1999 - ro@suse.de
- update to 1.8a22 (mkisofs-1.12b5)
* Fri Apr 09 1999 - ro@suse.de
- update to 1.8a20
* Mon Mar 08 1999 - ro@suse.de
- update to 1.8a19
* Mon Feb 15 1999 - ro@suse.de
- update to 1.8a17
- mkisofs and cdda2wav are built from same sources
* Tue Dec 01 1998 - ro@suse.de
- update to 1.8a13
* Mon Nov 02 1998 - ro@suse.de
- update to 1.6.1
* Mon Apr 20 1998 - ro@suse.de
- update to 1.6 final
* Tue Mar 03 1998 - ro@suse.de
- update to 1.6a9  includes new fifo code
* Wed Nov 12 1997 - ms@suse.de
- initial package for suse version 1.5
